Bug 4419 - Отсутствует поддержка trim для SSD
: Отсутствует поддержка trim для SSD
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: 2014 Fresh R4
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-23 09:44 MSD by Vladimir Potapov
Modified: 2014-10-24 16:14 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2014-09-23 09:44:09 MSD
В инсталляторе отсутствует поддержка trim для SSD.
Это приводит к деградации SSD и к ошибкам его  работы.
Comment 1 Stanislav Fomin 2014-09-24 16:33:54 MSD
Владимир — все ссылки в этот баг

* Первый этап = адаптированный фстаб.
* Про fstrim потом подумаетм
Comment 2 Vladimir Potapov 2014-09-26 18:41:47 MSD
Я руководствовался http://itfollow.ru/vklyuchite-trim-ssd-v-ubuntu-dlya-povy-sheniya-proizvoditel-nosti/ и просто добавлял по крону. Даже fstab портить не нужно.
Т.е. по крону раз в день:
Найти разделы
проверить на hdparm -I /dev/sda | grep "TRIM supported"
запустить fstrim

если писать в fstab то это сильно сложнее - нужно детектить файлсистему и поддержку, инчае discard может что-то убить.
Comment 3 Vladimir Potapov 2014-09-26 18:51:52 MSD
Вот дискуссия по этому поводу
http://grokbase.com/t/centos/centos/13c44h1y5y/to-discard-or-not-to-discard

Утверждают, что красношапка рекомендует fstrim по крону
Comment 4 Stanislav Fomin 2014-10-01 16:49:33 MSD
Нужен серьезный рисерч, будет разбираться до после релиза.
Comment 5 Eugene Shatokhin 2014-10-06 18:53:15 MSD
(In reply to comment #3)
> Утверждают, что красношапка рекомендует fstrim по крону

Да, рекомендует:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html-single/Storage_Administration_Guide/#idm34358800

В Ubuntu 14.04, кстати, сделано немного иначе: fstrim запускается раз в неделю и для дисков только определённых производителей (Intel, Samsung, OCZ, SanDisk, Patriot). Это всё из-за багов с порчей данных на некоторых SSD при discard/trim: https://launchpad.net/bugs/1259829.

Также возможно, discard/trim не очень-то дружит с шифрованными разделами, т.е., вероятно, для них не стоит пока это делать:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1259829/comments/66
Comment 6 Vladimir Potapov 2014-10-07 10:53:07 MSD
(In reply to comment #5)
> (In reply to comment #3)
> Также возможно, discard/trim не очень-то дружит с шифрованными разделами,
> т.е., вероятно, для них не стоит пока это делать:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1259829/comments/66
Ну, trim на шифрованый раздел просто не работает у меня.
Comment 7 Eugene Shatokhin 2014-10-17 12:42:18 MSD
Advisory:
This package sets up automatic weekly TRIMming for SSD drives, which should lessen the performance degradation. See http://en.wikipedia.org/wiki/Trim_(computing) for details.

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2310965

x86_64:
https://abf.rosalinux.ru/build_lists/2310966
Comment 8 Eugene Shatokhin 2014-10-17 12:43:41 MSD
Тестировал всё это время на своих машинах - проблем не наблюдаю. Пора отправлять на QA официально.
Comment 9 Vladimir Potapov 2014-10-24 13:40:13 MSD
ssd-utils-1.0-2
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2310965/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2310966/x86_64/main/release/
******************************* Advisory ****************************
This package sets up automatic weekly TRIMming for SSD drives, which should lessen the performance degradation. See http://en.wikipedia.org/wiki/Trim_(computing) for details.
*********************************************************************
QA Verified